org.wildfly.swarm.config.elytron

## Enum SimplePermissionMapper.MappingMode

- java.lang.Object
- - java.lang.Enum<SimplePermissionMapper.MappingMode>
  - - org.wildfly.swarm.config.elytron.SimplePermissionMapper.MappingMode

- All Implemented Interfaces:
    Serializable, Comparable<SimplePermissionMapper.MappingMode>
  Enclosing class:
    SimplePermissionMapper<T extends SimplePermissionMapper<T>>

      public static enum SimplePermissionMapper.MappingMode
      extends Enum<SimplePermissionMapper.MappingMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AND`
    `FIRST`
    `OR`
    `UNLESS`
    `XOR`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAllowedValue()` Returns the allowed value for the management model.
    `String` | `toString()`
    `static SimplePermissionMapper.MappingMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SimplePermissionMapper.MappingMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AND

          public static final SimplePermissionMapper.MappingMode AND

    - #### OR

          public static final SimplePermissionMapper.MappingMode OR

    - #### XOR

          public static final SimplePermissionMapper.MappingMode XOR

    - #### UNLESS

          public static final SimplePermissionMapper.MappingMode UNLESS

    - #### FIRST

          public static final SimplePermissionMapper.MappingMode FIRST

  - ### Method Detail

    - #### values

          public static SimplePermissionMapper.MappingMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SimplePermissionMapper.MappingMode c : SimplePermissionMapper.MappingMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SimplePermissionMapper.MappingMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getAllowedValue

          public String getAllowedValue()

      Returns the allowed value for the management model.
      Returns:
        the allowed model value

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<SimplePermissionMapper.MappingMode>`

Copyright © 2018 JBoss by Red Hat. All rights reserved.